DocsAPI ReferenceCrm/api/v1/crm/member-invite/complete
postCrmPublic API v1

/api/v1/crm/member-invite/complete

Finishes the invitation flow — creates the user/contact, joins the organisation, applies pre-granted permissions stored on the invitation, and invalidates the token.

crmpostApiV1CrmMember-inviteComplete

Parameters

7 body

7 total
Body · 7
tokenstringRequired

Invitation token from the e-mail link.

firstNamestringRequired

First name of the invitee.

Length: 1128
lastNamestringRequired

Last name of the invitee.

Length: 1128
passwordstringRequired

Chosen account password.

Length: 8
agreeToTermsbooleanRequired

Accepted Terms of Service.

agreeToMarketingboolean

Accepted marketing communications.

localestring

Communication locale code used to filter content.

Supported locales: cs, en, fr, it, pl, de, sk, sv, es, zh, ja, uk, da.

Length: 22

Request

POST /api/v1/crm/member-invite/complete

post
curl -X POST "https://api.bizkithub.com/api/v1/crm/member-invite/complete" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "token": "example_token",
  "firstName": "example_firstName",
  "lastName": "example_lastName",
  "password": "example_password",
  "agreeToTerms": false,
  "agreeToMarketing": false,
  "locale": "cs"
}'

Response

JSON payload

{
  "success": true
}

All response codes

1 status code documented

Need an API key?

All BizKitHub API endpoints require authentication via API key.

Get API Key